#
# spec file for package libibmad
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define mad_so 5
%define git_ver %{nil}

Name:           libibmad
Summary:        Low layer Infiniband diagnostic and management programs
License:        GPL-2.0 or BSD-2-Clause
Group:          Productivity/Networking/System
Version:        1.3.13
Release:        1.1
Source0:        libibmad-%{version}%{git_ver}.tar.gz
Source1:        baselibs.conf
Url:            http://www.openfabrics.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool

%description
Libibmad provides low layer IB functions for use by the IB diagnostic
and management programs. These include MAD, SA, SMP, and other basic IB
functions

%package -n     %{name}%{mad_so}
Summary:        Libibamd runtime library
Group:          System/Libraries
BuildRequires:  rdma-core-devel

%description -n %{name}%{mad_so}
Libibmad provides low layer IB functions for use by the IB diagnostic
and management programs. These include MAD, SA, SMP, and other basic IB
functions. This package contains the runtime library.

%package        devel
Summary:        Development files for the libibmad library
Group:          Development/Libraries/C and C++
Requires:       %{name}%{mad_so} = %{version}
Requires:       rdma-core-devel

%description    devel
Development files for the libibmad library.

%prep
%setup -q
./autogen.sh

%build
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
rm -f %{buildroot}%_libdir/libibmad.a %{buildroot}%_libdir/libibmad.la


%post -n %{name}%{mad_so} -p /sbin/ldconfig

%postun -n %{name}%{mad_so} -p /sbin/ldconfig

%files -n %{name}%{mad_so}
%defattr(-, root, root)
%doc COPYING
%_libdir/libibmad.so.%{mad_so}*

%files devel
%defattr(-,root,root)
%_includedir/infiniband/mad.h
%_includedir/infiniband/mad_osd.h
%_libdir/libibmad.so

%changelog
* Tue May  9 2017 nmoreychaisemartin@suse.com
- Update to version 1.3.13 (bsc#1016427)
  * libibmad: Fix conflict with new umad.h header
  * configure.ac: Update AM_INIT_AUTOMAKE to use subdir-objects
  * configure.ac: Update configure.in to configure.ac
  * libibmad: Makefile.am: Fix INCLUDES warning
* Wed Mar 29 2017 pth@suse.de
- Don't package the static library.
* Wed Mar 29 2017 pth@suse.de
- Change dependencies to rdma-core-devel.
* Mon Mar  7 2016 pth@suse.de
- Update to 13.12-git93456bc as it's required for updating
  infiniband-diags (fate#319248). For changes see included ChangeLog.
- Tag basewlibs.conf as source
* Tue Jun  3 2014 pth@suse.de
- Update to OFED 3.12 final.
* Thu Feb 13 2014 pth@suse.de
- Update to 1.3.11 for fate#315488:
  * mad_rpc(): Fail with EINVAL if max_retries <= 0
* Wed Jan 29 2014 pth@suse.de
- Lisence iks GPL-2.0 or BSD-2-Clause.
- Add COPYING to documentation.
* Wed Jan 29 2014 pth@suse.de
- Modify description for the runtime lib subpackage.
- Update to 1.3.10 from OFED 3.12.
* Fri Jan 24 2014 pth@suse.de
- Fix version in change log.
* Fri Jan 17 2014 pth@suse.de
- Update to 1.3.10 from OFED 3.12.
* Tue Sep 11 2012 pth@suse.de
- Don't delete the .la file before packaging it.
* Tue Sep 11 2012 pth@suse.de
- Do package static libs but in their own package.
* Wed Sep  5 2012 jengelh@inai.de
- Remove redundant sections from specfile, set SRPM group
- Parallel build with %%_smp_mflags
- Cease shipping static libraries
* Mon Sep  3 2012 pth@suse.de
- Split off static library into its own sub package.
- Repackage tarball with bzip2
* Thu Aug 30 2012 pth@suse.de
- Update to 1.3.8 from OFED 1.5.4.1
* Fri May  4 2012 pth@suse.de
- Explicitly build require automake, autoconf and libtool
* Fri Oct 29 2010 pth@suse.de
- Create new versioned subpackage for the runtime lib.
- Adapt post and postun.
* Thu Oct 21 2010 stefan.fent@novell.com
- update to v1.3.6 from OFED 1.5.2
* Tue May 25 2010 jjolly@novell.com
- Also removed static package dependency on libibcommon-devel
* Mon May 24 2010 jjolly@novell.com
- Updated to v1.3.4 from OFED 1.5.1
- Removed build dependencies on libibcommon-devel and
  lilbibverbs-devel
- Added infiniband/mad_osd.h header
* Sat Jul 11 2009 jjolly@suse.de
- Updated to v1.2.3_20090314 from OFED 1.4.1 release
* Wed Oct 15 2008 jjolly@suse.de
- Updated to version from OFED 1.3.1 release
* Thu Feb 28 2008 jjolly@suse.de
- Updated to 1.1.6 from OFED 1.3 GA release
* Tue Jan 29 2008 jjolly@suse.de
- Updated to 1.1.5 from OFED 1.3 rc2
* Mon Jul  2 2007 hvogel@suse.de
- Use correct version 1.0.5 that comes with OFED 1.2
* Wed Jun 20 2007 hvogel@suse.de
- Initial Package, Version 3.2.0
